package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备点检任务表
 * </p>
 *
 * @author pavel_liu
 * @since 2021-07-20
 */

@TableName("Z_RESOURCE_INSPECT_TASK")

public class ResourceInspectTask extends Model<ResourceInspectTask> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 任务编号
     */
   @TableField("TASK_NO")
   private String taskNo;
    /**
     * 任务描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 任务状态(新建/处理中/完成/关闭)
     */
   @TableField("STATUS")
   private String status;
    /**
     * 设备检验计划HANDLE
     */
   @TableField("RESOURCE_INSPECT_PLAN_BO")
   private String resourceInspectPlanBo;
    /**
     * 检验项目清单HANDLE
     */
   @TableField("INSPECTION_ITEM_BO")
   private String inspectionItemBo;
    /**
     * 设备编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 点检类型
     */
   @TableField("CATEGORY")
   private String category;
    /**
     * 任务创建时间
     */
   @TableField("TASK_CREATE_DATE")
   private LocalDateTime taskCreateDate;
    /**
     * 计划开始时间
     */
   @TableField("PLAN_START_DATE")
   private LocalDateTime planStartDate;
    /**
     * 计划完成时间
     */
   @TableField("PLAN_COMPLETE_DATE")
   private LocalDateTime planCompleteDate;
    /**
     * 实际开始时间
     */
   @TableField("ACTUAL_START_DATE")
   private LocalDateTime actualStartDate;
    /**
     * 实际完成时间
     */
   @TableField("ACTUAL_COMPLETE_DATE")
   private LocalDateTime actualCompleteDate;
    /**
     * 检验结果
     */
   @TableField("RESULT")
   private String result;
    /**
     * 取消原因
     */
   @TableField("REASON")
   private String reason;
    /**
     * 执行人
     */
   @TableField("EXECUTOR")
   private String executor;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 排程方式（周期/执行间隔时间）
     */
   @TableField("SCHEDULE_TYPE")
   private String scheduleType;
    /**
     * 频率
     */
   @TableField("FREQUENCY")
   private Double frequency;
    /**
     * 频率单位(M月W周D日H时F分S秒)
     */
   @TableField("FREQUENCY_UNIT")
   private String frequencyUnit;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   /**
    * 检验项目清单
    */
   @TableField(exist = false)
   private List<ResourceInspectTaskParam> taskItemDetailList;
   /**
    * 耗用备品清单
    */
   @TableField(exist = false)
   private List<ResourceInspectTaskSpare> spareList;
   /**
    * 设备handle
    */
   @TableField(exist = false)
   private String ResourceBo;
   /**
    * 设备描述
    */
   @TableField(exist = false)
   private String resourceDescription;

   public String getResourceDescription() {
      return resourceDescription;
   }

   public void setResourceDescription(String resourceDescription) {
      this.resourceDescription = resourceDescription;
   }

   public String getResourceBo() {
      return ResourceBo;
   }

   public void setResourceBo(String resourceBo) {
      ResourceBo = resourceBo;
   }

   public List<ResourceInspectTaskParam> getTaskItemDetailList() {
      return taskItemDetailList;
   }

   public void setTaskItemDetailList(List<ResourceInspectTaskParam> taskItemDetailList) {
      this.taskItemDetailList = taskItemDetailList;
   }

   public List<ResourceInspectTaskSpare> getSpareList() {
      return spareList;
   }

   public void setSpareList(List<ResourceInspectTaskSpare> spareList) {
      this.spareList = spareList;
   }

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTaskNo() {
      return taskNo;
   }

   public void setTaskNo(String taskNo) {
      this.taskNo = taskNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getResourceInspectPlanBo() {
      return resourceInspectPlanBo;
   }

   public void setResourceInspectPlanBo(String resourceInspectPlanBo) {
      this.resourceInspectPlanBo = resourceInspectPlanBo;
   }

   public String getInspectionItemBo() {
      return inspectionItemBo;
   }

   public void setInspectionItemBo(String inspectionItemBo) {
      this.inspectionItemBo = inspectionItemBo;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getCategory() {
      return category;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public LocalDateTime getTaskCreateDate() {
      return taskCreateDate;
   }

   public void setTaskCreateDate(LocalDateTime taskCreateDate) {
      this.taskCreateDate = taskCreateDate;
   }

   public LocalDateTime getPlanStartDate() {
      return planStartDate;
   }

   public void setPlanStartDate(LocalDateTime planStartDate) {
      this.planStartDate = planStartDate;
   }

   public LocalDateTime getPlanCompleteDate() {
      return planCompleteDate;
   }

   public void setPlanCompleteDate(LocalDateTime planCompleteDate) {
      this.planCompleteDate = planCompleteDate;
   }

   public LocalDateTime getActualStartDate() {
      return actualStartDate;
   }

   public void setActualStartDate(LocalDateTime actualStartDate) {
      this.actualStartDate = actualStartDate;
   }

   public LocalDateTime getActualCompleteDate() {
      return actualCompleteDate;
   }

   public void setActualCompleteDate(LocalDateTime actualCompleteDate) {
      this.actualCompleteDate = actualCompleteDate;
   }

   public String getResult() {
      return result;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public String getReason() {
      return reason;
   }

   public void setReason(String reason) {
      this.reason = reason;
   }

   public String getExecutor() {
      return executor;
   }

   public void setExecutor(String executor) {
      this.executor = executor;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getScheduleType() {
      return scheduleType;
   }

   public void setScheduleType(String scheduleType) {
      this.scheduleType = scheduleType;
   }

   public Double getFrequency() {
      return frequency;
   }

   public void setFrequency(Double frequency) {
      this.frequency = frequency;
   }

   public String getFrequencyUnit() {
      return frequencyUnit;
   }

   public void setFrequencyUnit(String frequencyUnit) {
      this.frequencyUnit = frequencyUnit;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String TASK_NO = "TASK_NO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS = "STATUS";

public static final String RESOURCE_INSPECT_PLAN_BO = "RESOURCE_INSPECT_PLAN_BO";

public static final String INSPECTION_ITEM_BO = "INSPECTION_ITEM_BO";

public static final String RESRCE = "RESRCE";

public static final String CATEGORY = "CATEGORY";

public static final String TASK_CREATE_DATE = "TASK_CREATE_DATE";

public static final String PLAN_START_DATE = "PLAN_START_DATE";

public static final String PLAN_COMPLETE_DATE = "PLAN_COMPLETE_DATE";

public static final String ACTUAL_START_DATE = "ACTUAL_START_DATE";

public static final String ACTUAL_COMPLETE_DATE = "ACTUAL_COMPLETE_DATE";

public static final String RESULT = "RESULT";

public static final String REASON = "REASON";

public static final String EXECUTOR = "EXECUTOR";

public static final String REMARK = "REMARK";

public static final String SCHEDULE_TYPE = "SCHEDULE_TYPE";

public static final String FREQUENCY = "FREQUENCY";

public static final String FREQUENCY_UNIT = "FREQUENCY_UNIT";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceInspectTask{" +
         "handle = " + handle +
         ", site = " + site +
         ", taskNo = " + taskNo +
         ", description = " + description +
         ", status = " + status +
         ", resourceInspectPlanBo = " + resourceInspectPlanBo +
         ", inspectionItemBo = " + inspectionItemBo +
         ", resrce = " + resrce +
         ", category = " + category +
         ", taskCreateDate = " + taskCreateDate +
         ", planStartDate = " + planStartDate +
         ", planCompleteDate = " + planCompleteDate +
         ", actualStartDate = " + actualStartDate +
         ", actualCompleteDate = " + actualCompleteDate +
         ", result = " + result +
         ", reason = " + reason +
         ", executor = " + executor +
         ", remark = " + remark +
         ", scheduleType = " + scheduleType +
         ", frequency = " + frequency +
         ", frequencyUnit = " + frequencyUnit +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}